<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_test.php';
require_once '../../util/make_item.php';
require_once '../../util/for_practice.php';

ini_set("session.save_handler","files");
ini_set('session.use_trans_sid', '1');

session_start();
$agent = $_SERVER['HTTP_USER_AGENT'];
if (ereg("^DoCoMo", $agent)){
	$sis_id="?".session_name()."=".session_id();
	$is_mob = 1;
} else {
	 if(ereg("^J-PHONE|^Vodafone|^SoftBank", $agent) ||
	 	ereg("^UP.Browser|^KDDI", $agent)) {
	 	$is_mob = 1;
	 } else {
	 	$is_mob = 0;
	 }
	$sis_id = "";
}
if (!isset($_SESSION[SESSION_USR])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."usr/login.php");
	exit;
}
/*
$question_arr = array();
if (isset($_SESSION['question_arr'])) {
	$question_arr = $_SESSION['question_arr'];
}
*/
$question_list = "";
if (isset($_SESSION['question_list'])) {
	$question_list = $_SESSION['question_list'];
}

$err_msg = "";
$dep_id = 0;
$disable = "";
$select_q = "";

if (!isset($_POST['department']) || !is_numeric($_POST['department'])) {
	$err_msg = _EXAM_STU_PRACTICE_NODEP_ERR."<br/>";
}
$dep_id = intval($_POST['department']);
if (isset($_POST['select_question'])) $select_q = $_POST['select_question'];

//
$admin_nam ="";
$admin_status ="";
$admin_id="";
$ses_arr = $_SESSION[SESSION_USR];
//桼ξ
$st_nam = $ses_arr['student_nam'];
$st_id	= $ses_arr['student_id'];
$st_status = $ses_arr['status'];
$grade = $ses_arr['grade'];

$show_txt = "";
$q_id = 0;

$start_time = time();

//ּѥ饹ǡ
$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	$prac_form_object = new PracticeForm();
	$prac_form_object->setDepId($dep_id);
	if ($question_list == "" && $select_q <> "") {
		$prac_form_object->setExcludeIdList($st_id,$data_object->conn,$select_q,$select_q);
		$question_list = $prac_form_object->getExcludeIdList();
		//echo "<br/>".$question_list."<br>";
		$_SESSION['question_list'] = $question_list;
	}

	//$prac_form_object->setIdArr($question_arr);
	$prac_form_object->setIdList($question_list);
	if (!$prac_form_object->setFormTxt($data_object->conn,$st_id,$is_mob)) {
		$err_msg .= _EXAM_STU_PRACTICE_END_ERR;
	} else {
		$show_txt = $prac_form_object->getFormTxt();
		$q_id = $prac_form_object->getQId();
	}

	$data_object->closeDB();
}
if ($err_msg <> "") $disable = "DISABLED";

$show_data = file_get_contents(TEMPLATE_DIR.'usr_prac/usr_nowpractice.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':NAME_REP:', $st_nam, $show_data);
$show_data = str_replace(':DISABLE_REP:',$disable, $show_data);
$show_data = str_replace(':Q_ID_REP:',$q_id, $show_data);
$show_data = str_replace(':DEP_ID_REP:',$dep_id, $show_data);

$show_data = str_replace(':TEST_LIST_REP:', $show_txt, $show_data);
$show_data = str_replace(':SESDATA_REP:', $sis_id, $show_data);

$show_data = str_replace(':START_TIME_REP:',$start_time, $show_data);

echo $show_data;
?>
